Skip to navigation

List Resources

Retrieves a list of resources for the given project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project whose resources you want to retrieve. You can get your project ID from the API Credentials page in your global management console.

Query parameters

pageTokenstringOptional
Cursor that points to the first record of the next page of results. Get this value from the previous response. To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
pageSizeintegerOptional>=1Defaults to 50
Maximum number of items to return in the response.
includelist of enumsOptional
Whether to include indexes for AWS DynamoDB in the response. To minimize response size, these indexes are omitted by default.
Allowed values:

Request

This endpoint expects an object.
sortslist of objectsOptional
List of sorting options. Sorting is applied in the order passed in the list.
filtersobjectOptional
Filter conditions. If omitted, no filtering is applied.

Response

Resources retrieved.
resourceslist of objects
List of retrieved resources.
totalCountinteger
Total number of resources that matched the filter options.
nextTokenstringOptional
Cursor that points to the first record of the next page of results. Pass this value in the next request.